Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pentaho.di.trans.steps.salesforceinput
Class SalesforceInputMeta

    java.lang.Object
      org.pentaho.di.trans.step.BaseStepMeta
          org.pentaho.di.trans.steps.salesforceinput.SalesforceInputMeta

All Implemented Interfaces:
  Cloneable, StepMetaInterface

    public class SalesforceInputMeta

extends BaseStepMeta
implements StepMetaInterface

Field Summary
`String` | `TargetDefaultURL`

Constructor Summary
`SalesforceInputMeta()`

Method Summary
`void` | `allocate(int nrfields)`
`void` | `check(List<org.pentaho.di.core.CheckResultInterface> remarks, TransMeta transMeta, StepMeta stepMeta, org.pentaho.di.core.row.RowMetaInterface prev, String[] input, String[] output, org.pentaho.di.core.row.RowMetaInterface info)` Checks the settings of this step and puts the findings in a remarks List.
`Object` | `clone()` Make an exact copy of this step, make sure to explicitly copy Collections etc.
`String` | `getCondition()`
`void` | `getFields(org.pentaho.di.core.row.RowMetaInterface r, String name, org.pentaho.di.core.row.RowMetaInterface[] info, StepMeta nextStep, org.pentaho.di.core.variables.VariableSpace space)` Get the fields that are emitted by this step
`SalesforceInputField[]` | `getInputFields()`
`String` | `getModule()`
`String` | `getModuleField()`
`String` | `getPassword()`
`String` | `getRowLimit()`
`String` | `getRowNumberField()`
`String` | `getSQLField()`
`StepInterface` | `getStep(StepMeta stepMeta, StepDataInterface stepDataInterface, int cnr, TransMeta transMeta, Trans trans)` Get the executing step, needed by Trans to launch a step.
`StepDataInterface` | `getStepData()` Get a new instance of the appropriate data class.
`String` | `getTargetURL()`
`String` | `getTargetURLField()`
`String` | `getTimeOut()`
`String` | `getTimestampField()`
`String` | `getUserName()`
`String` | `getXML()` Produces the XML string that describes this step's information.
`boolean` | `includeModule()`
`boolean` | `includeRowNumber()`
`boolean` | `includeSQL()`
`boolean` | `includeTargetURL()`
`boolean` | `includeTimestamp()`
`void` | `loadXML(Node stepnode, List<org.pentaho.di.core.database.DatabaseMeta> databases, Map<String,org.pentaho.di.core.Counter> counters)` Load the values for this step from an XML Node
`void` | `readRep(Repository rep, long id_step, List<org.pentaho.di.core.database.DatabaseMeta> databases, Map<String,org.pentaho.di.core.Counter> counters)` Read the steps information from a Kettle repository
`void` | `saveRep(Repository rep, long id_transformation, long id_step)` Save the steps data into a Kettle repository
`void` | `setCondition(String condition)`
`void` | `setDefault()` Set default values
`void` | `setIncludeModule(boolean includemodule)`
`void` | `setIncludeRowNumber(boolean includeRowNumber)`
`void` | `setIncludeSQL(boolean includeSQL)`
`void` | `setIncludeTargetURL(boolean includeTargetURL)`
`void` | `setIncludeTimestamp(boolean includeTimestamp)`
`void` | `setInputFields(SalesforceInputField[] inputFields)`
`void` | `setModule(String module)`
`void` | `setModuleField(String module_field)`
`void` | `setPassword(String passwd)`
`void` | `setRowLimit(String rowLimit)`
`void` | `setRowNumberField(String rowNumberField)`
`void` | `setSQLField(String sqlField)`
`void` | `setTargetURL(String urlvalue)`
`void` | `setTargetURLField(String TargetURLField)`
`void` | `setTimeOut(String TimeOut)`
`void` | `setTimestampField(String timestampField)`
`void` | `setUserName(String user_name)`

Methods inherited from class org.pentaho.di.trans.step.BaseStepMeta
`analyseImpact, cancelQueries, chosesTargetSteps, excludeFromRowLayoutVerification, exportResources, getDialogClassName, getID, getInfoSteps, getRequiredFields, getRequiredFields, getResourceDependencies, getSQLStatements, getTableFields, getTargetSteps, getUsedArguments, getUsedDatabaseConnections, getUsedLibraries, hasChanged, searchInfoAndTargetSteps, setChanged, setChanged, setID, setInfoSteps, setTargetSteps, supportsErrorHandling`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.pentaho.di.trans.step.StepMetaInterface
`analyseImpact, cancelQueries, excludeFromRowLayoutVerification, exportResources, getDialogClassName, getInfoSteps, getRequiredFields, getRequiredFields, getResourceDependencies, getSQLStatements, getTableFields, getTargetSteps, getUsedArguments, getUsedDatabaseConnections, getUsedLibraries, searchInfoAndTargetSteps, setInfoSteps, setTargetSteps, supportsErrorHandling`

Field Detail

### TargetDefaultURL

    public String TargetDefaultURL

Constructor Detail

### SalesforceInputMeta

    public SalesforceInputMeta()

Method Detail

### getInputFields

    public SalesforceInputField[] getInputFields()

  Returns:
    Returns the input fields.

### setInputFields

    public void setInputFields(SalesforceInputField[] inputFields)

  Parameters:
    `inputFields` - The input fields to set.

### getUserName

    public String getUserName()

  Returns:
    Returns the UserName.

### setUserName

    public void setUserName(String user_name)

  Parameters:
    `user_name` - The UserNAme to set.

### getPassword

    public String getPassword()

  Returns:
    Returns the Password.

### setPassword

    public void setPassword(String passwd)

  Parameters:
    `passwd` - The password to set.

### getModule

    public String getModule()

  Returns:
    Returns the module.

### setModule

    public void setModule(String module)

  Parameters:
    `module` - The module to set.

### getCondition

    public String getCondition()

  Returns:
    Returns the condition.

### setCondition

    public void setCondition(String condition)

  Parameters:
    `condition` - The condition to set.

### getTargetURL

    public String getTargetURL()

  Returns:
    Returns the targeturl.

### setTargetURL

    public void setTargetURL(String urlvalue)

  Parameters:
    `url` - The url to set.

### setTargetURLField

    public void setTargetURLField(String TargetURLField)

  Parameters:
    `TargetURLField` - The TargetURLField to set.

### setSQLField

    public void setSQLField(String sqlField)

  Parameters:
    `sqlField` - The sqlField to set.

### setTimestampField

    public void setTimestampField(String timestampField)

  Parameters:
    `timestampField` - The timestampField to set.

### setModuleField

    public void setModuleField(String module_field)

  Parameters:
    `ModuleField` - The ModuleField to set.

### includeTargetURL

    public boolean includeTargetURL()

  Returns:
    Returns the includeTargetURL.

### includeSQL

    public boolean includeSQL()

  Returns:
    Returns the includeSQL.

### setIncludeSQL

    public void setIncludeSQL(boolean includeSQL)

  Parameters:
    `includeSQL` - to set.

### includeTimestamp

    public boolean includeTimestamp()

  Returns:
    Returns the includeTimestamp.

### setIncludeTimestamp

    public void setIncludeTimestamp(boolean includeTimestamp)

  Parameters:
    `includeTimestamp` - to set.

### includeModule

    public boolean includeModule()

  Returns:
    Returns the includeModule.

### setIncludeTargetURL

    public void setIncludeTargetURL(boolean includeTargetURL)

  Parameters:
    `includeTargetURL` - The includeTargetURL to set.

### setIncludeModule

    public void setIncludeModule(boolean includemodule)

  Parameters:
    `includeModule` - The includeModule to set.

### includeRowNumber

    public boolean includeRowNumber()

  Returns:
    Returns the includeRowNumber.

### setIncludeRowNumber

    public void setIncludeRowNumber(boolean includeRowNumber)

  Parameters:
    `includeRowNumber` - The includeRowNumber to set.

### getRowLimit

    public String getRowLimit()

  Returns:
    Returns the rowLimit.

### getTimeOut

    public String getTimeOut()

  Returns:
    Returns the TimeOut.

### setRowLimit

    public void setRowLimit(String rowLimit)

  Parameters:
    `rowLimit` - The rowLimit to set.

### setTimeOut

    public void setTimeOut(String TimeOut)

  Parameters:
    `TimeOut` - The TimeOut to set.

### getRowNumberField

    public String getRowNumberField()

  Returns:
    Returns the rowNumberField.

### getTargetURLField

    public String getTargetURLField()

  Returns:
    Returns the targetURLField.

### getSQLField

    public String getSQLField()

  Returns:
    Returns the sqlField.

### getTimestampField

    public String getTimestampField()

  Returns:
    Returns the timestampField.

### getModuleField

    public String getModuleField()

  Returns:
    Returns the moduleField.

### setRowNumberField

    public void setRowNumberField(String rowNumberField)

  Parameters:
    `rowNumberField` - The rowNumberField to set.

### loadXML

    public void loadXML(Node stepnode,
                        List<org.pentaho.di.core.database.DatabaseMeta> databases,
                        Map<String,org.pentaho.di.core.Counter> counters)
                 throws org.pentaho.di.core.exception.KettleXMLException

  Description copied from interface: `StepMetaInterface`
  Load the values for this step from an XML Node

  Specified by:
    `loadXML` in interface `StepMetaInterface`
  Parameters:
    `stepnode` - the Node to get the info from
    `databases` - The available list of databases to reference to
    `counters` - Counters to reference.
  Throws:
    `org.pentaho.di.core.exception.KettleXMLException` - When an unexpected XML error occurred. (malformed etc.)

### clone

    public Object clone()

  Description copied from interface: `StepMetaInterface`
  Make an exact copy of this step, make sure to explicitly copy Collections etc.

  Specified by:
    `clone` in interface `StepMetaInterface`
  Overrides:
    `clone` in class `BaseStepMeta`
  Returns:
    an exact copy of this step

### getXML

    public String getXML()

  Description copied from class: `BaseStepMeta`
  Produces the XML string that describes this step's information.

  Specified by:
    `getXML` in interface `StepMetaInterface`
  Overrides:
    `getXML` in class `BaseStepMeta`
  Returns:
    String containing the XML describing this step.

### allocate

    public void allocate(int nrfields)

### setDefault

    public void setDefault()

  Description copied from interface: `StepMetaInterface`
  Set default values

  Specified by:
    `setDefault` in interface `StepMetaInterface`

### getFields

    public void getFields(org.pentaho.di.core.row.RowMetaInterface r,
                          String name,
                          org.pentaho.di.core.row.RowMetaInterface[] info,
                          StepMeta nextStep,
                          org.pentaho.di.core.variables.VariableSpace space)
                   throws org.pentaho.di.core.exception.KettleStepException

  Description copied from interface: `StepMetaInterface`
  Get the fields that are emitted by this step

  Specified by:
    `getFields` in interface `StepMetaInterface`
  Overrides:
    `getFields` in class `BaseStepMeta`
  Parameters:
    `r` - The fields that are entering the step. These are changed to reflect the output metadata.
    `name` - The name of the step to be used as origin
    `info` - The input rows metadata that enters the step through the specified channels in the same order as in method getInfoSteps(). The step metadata can then choose what to do with it: ignore it or not. Interesting is also that in case of database lookups, the layout of the target database table is put in info[0]
    `nextStep` - if this is a non-null value, it's the next step in the transformation. The one who's asking, the step where the data is targetted towards.
    `space` - TODO
  Throws:
    `org.pentaho.di.core.exception.KettleStepException` - when an error occurred searching for the fields.

### readRep

    public void readRep(Repository rep,
                        long id_step,
                        List<org.pentaho.di.core.database.DatabaseMeta> databases,
                        Map<String,org.pentaho.di.core.Counter> counters)
                 throws org.pentaho.di.core.exception.KettleException

  Description copied from interface: `StepMetaInterface`
  Read the steps information from a Kettle repository

  Specified by:
    `readRep` in interface `StepMetaInterface`
  Parameters:
    `rep` - The repository to read from
    `id_step` - The step ID
    `databases` - The databases to reference
    `counters` - The counters to reference
  Throws:
    `org.pentaho.di.core.exception.KettleException` - When an unexpected error occurred (database, network, etc)

### saveRep

    public void saveRep(Repository rep,
                        long id_transformation,
                        long id_step)
                 throws org.pentaho.di.core.exception.KettleException

  Description copied from interface: `StepMetaInterface`
  Save the steps data into a Kettle repository

  Specified by:
    `saveRep` in interface `StepMetaInterface`
  Parameters:
    `rep` - The Kettle repository to save to
    `id_transformation` - The transformation ID
    `id_step` - The step ID
  Throws:
    `org.pentaho.di.core.exception.KettleException` - When an unexpected error occurred (database, network, etc)

### check

    public void check(List<org.pentaho.di.core.CheckResultInterface> remarks,
                      TransMeta transMeta,
                      StepMeta stepMeta,
                      org.pentaho.di.core.row.RowMetaInterface prev,
                      String[] input,
                      String[] output,
                      org.pentaho.di.core.row.RowMetaInterface info)

  Description copied from interface: `StepMetaInterface`
  Checks the settings of this step and puts the findings in a remarks List.

  Specified by:
    `check` in interface `StepMetaInterface`
  Parameters:
    `remarks` - The list to put the remarks in @see org.pentaho.di.core.CheckResult
    `stepMeta` - The stepMeta to help checking
    `prev` - The fields coming from the previous step
    `input` - The input step names
    `output` - The output step names
    `info` - The fields that are used as information by the step

### getStep

    public StepInterface getStep(StepMeta stepMeta,
                                 StepDataInterface stepDataInterface,
                                 int cnr,
                                 TransMeta transMeta,
                                 Trans trans)

  Description copied from interface: `StepMetaInterface`
  Get the executing step, needed by Trans to launch a step.

  Specified by:
    `getStep` in interface `StepMetaInterface`
  Parameters:
    `stepMeta` - The step info
    `stepDataInterface` - the step data interface linked to this step. Here the step can store temporary data, database connections, etc.
    `cnr` - The copy nr to get
    `transMeta` - The transformation info
    `trans` - The launching transformation

### getStepData

    public StepDataInterface getStepData()

  Description copied from interface: `StepMetaInterface`
  Get a new instance of the appropriate data class. This data class implements the StepDataInterface. It basically contains the persisting data that needs to live on, even if a worker thread is terminated.

  Specified by:
    `getStepData` in interface `StepMetaInterface`
  Returns:
    The appropriate StepDataInterface class.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD